Subject: Re: [scim] draft-ietf-scim-core-schema

From: Phil Hunt <[email-masked]>
Date: Tue, 14 Oct 2014 10:19:12 -0700

Adding the WG mailing list…

You are correct. The examples should be updated to use “value” as per the original definition. This was discussed a while back and I believe the group decided to be consistent with multi-valued attributes.

Note, the schema also needs to be updated. It looks like it should be multi-valued since many orgs have people with multiple reporting relationships.

Phil

(resending as I originally sent as [email-masked])

On Oct 13, 2014, at 11:40 PM, nikhil vaishnavi <[email-masked]> wrote:

> Hi,
> I noticed that for the Enterprise User Schema Extension [Section 4.3 - page 19], the attributes mentioned for manager are : value, $ref & displayName.
> While the value attribute definition mentions this is the id representing the manager, the schema representation in JSON format defined on page 54 mentions this field as 'managerId' as well as other examples show is as managerId too.
> Can this be synced up so that there is no confusion which is the current definition of the field.
> 
> Thanks
> Nikhil Vaishnavi